package cn.tsy.data.idsse.dsds.model.dict;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 字典-参航单位
 * 
 * @author: zxq
 * @date: 2024-05-13 12:20:37
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "DICT_UNIT_SAIL", key = "TSY_ID")
public class DictUnitSail extends HmeBean {
	private static final long serialVersionUID = 8060754825487933021L;
	private Integer tsy_id;
	// 参航单位名称
	private String unit_name;
	// 单位负责人
	private String link_man;
	// 联系电话
	private String link_tel;
	// 传真号码
	private String link_fax;
	// 电子邮件
	private String link_email;
	// 经度信息
	private String unit_lon;
	// 纬度信息
	private String unit_lat;
	// 单位地址
	private String unit_addr;
	// 单位类型
	private String unit_type;
	// 备注信息
	private String unit_remark;
	// 创建时间
	private LocalDateTime create_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 参航单位名称
	 */
	public String getUnit_name() {
		return this.unit_name;
	}

	/****
	 * 参航单位名称
	 */
	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}

	/****
	 * 单位负责人
	 */
	public String getLink_man() {
		return this.link_man;
	}

	/****
	 * 单位负责人
	 */
	public void setLink_man(String link_man) {
		this.link_man = link_man;
	}

	/****
	 * 联系电话
	 */
	public String getLink_tel() {
		return this.link_tel;
	}

	/****
	 * 联系电话
	 */
	public void setLink_tel(String link_tel) {
		this.link_tel = link_tel;
	}

	/****
	 * 传真号码
	 */
	public String getLink_fax() {
		return this.link_fax;
	}

	/****
	 * 传真号码
	 */
	public void setLink_fax(String link_fax) {
		this.link_fax = link_fax;
	}

	/****
	 * 电子邮件
	 */
	public String getLink_email() {
		return this.link_email;
	}

	/****
	 * 电子邮件
	 */
	public void setLink_email(String link_email) {
		this.link_email = link_email;
	}

	/****
	 * 经度信息
	 */
	public String getUnit_lon() {
		return this.unit_lon;
	}

	/****
	 * 经度信息
	 */
	public void setUnit_lon(String unit_lon) {
		this.unit_lon = unit_lon;
	}

	/****
	 * 纬度信息
	 */
	public String getUnit_lat() {
		return this.unit_lat;
	}

	/****
	 * 纬度信息
	 */
	public void setUnit_lat(String unit_lat) {
		this.unit_lat = unit_lat;
	}

	/****
	 * 单位地址
	 */
	public String getUnit_addr() {
		return this.unit_addr;
	}

	/****
	 * 单位地址
	 */
	public void setUnit_addr(String unit_addr) {
		this.unit_addr = unit_addr;
	}

	/****
	 * 单位类型
	 */
	public String getUnit_type() {
		return this.unit_type;
	}

	/****
	 * 单位类型
	 */
	public void setUnit_type(String unit_type) {
		this.unit_type = unit_type;
	}

	/****
	 * 备注信息
	 */
	public String getUnit_remark() {
		return this.unit_remark;
	}

	/****
	 * 备注信息
	 */
	public void setUnit_remark(String unit_remark) {
		this.unit_remark = unit_remark;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

}